# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.DependencyGraphUpdater

Packages that use DependencyGraphUpdater
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of DependencyGraphUpdater in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return DependencyGraphUpdater
Modifier and Type
Method
Description
`DependencyGraphUpdater<URI>`
DefaultResolutionContext.`getGraphUpdater()`
`DependencyGraphUpdater<URI>`
IResolutionContext.`getGraphUpdater()`
The graph updater, in charge of making changes to the dependency graph.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type DependencyGraphUpdater
Modifier
Constructor
Description
``
`DefaultResolutionContext(com.google.common.eventbus.EventBus eventBus, IGraph<URI> graph, DependencyGraphUpdater<URI> graphUpdater, ResourceComputationScheduler<URI> scheduler, ModelResourceListener modelResourceListener)`